travis-ci: build documentation
Build documentation as separate Travis CI job to check for documentation errors. Signed-off-by: Lars Schneider <larsxschneider@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Lars Schneider committed
May 4, 2016 at 10:38 UTC
b98712b9aa97f20a142ca3fcfd027c7b26642e3b
2 files changed
+29
.travis.yml
+15
@@ -32,6 +32,21 @@ env:
32
# t9816 occasionally fails with "TAP out of sequence errors" on Travis CI OS X
33
- GIT_SKIP_TESTS="t9810 t9816"
34
35
+matrix:
36
+ include:
37
+ - env: Documentation
38
+ os: linux
39
+ compiler: clang
40
+ addons:
41
+ apt:
42
+ packages:
43
+ - asciidoc
44
+ - xmlto
45
+ before_install:
46
+ before_script:
47
+ script: ci/test-documentation.sh
48
+ after_failure:
49
+
50
before_install:
51
- >
52
case "${TRAVIS_OS_NAME:-linux}" in
ci/test-documentation.sh
new
+14
@@ -0,0 +1,14 @@
1
+#!/bin/sh
2
+#
3
+# Perform sanity checks on documentation and build it.
4
+#
5
+
6
+set -e
7
+
8
+make check-builtins
9
+make check-docs
10
+make doc
11
+
12
+test -s Documentation/git.html
13
+test -s Documentation/git.xml
14
+test -s Documentation/git.1